Subject: Re: [PATCH 00/18] git notes merge

From: Johan Herland <[email-masked]>
Date: Wed, 29 Sep 2010 18:04:13 +0200

On Wednesday 29 September 2010, Sverre Rabbelier wrote:
> On Wed, Sep 29, 2010 at 17:16, Johan Herland wrote:
> > Yeah, I'm torn as well. What about providing both? Or is that
> > bloat?
>
> Definitely not both, that would be confusing, and would limit us if
> we decide to add 'git merge --abort' later on.

Yeah, but for consistency's sake I don't want to name it 'git notes 
merge --abort' if there's not a corresponding 'git merge --abort'.

> >> I know that there's no 'git merge --abort', but IIRC that's for
> >> technical reasons only.
> >
> > Maybe there _should_ be a 'git merge --abort' (as a synonym to 'git
> > reset --merge')?
>
> Hmmm, I don't know if that does what the user wants, (I haven't used
> 'git reset --merge' before), but if it does, that sounds like a good
> solution.

>>From git-merge(1):

"If you tried a merge which resulted in complex conflicts and want to 
start over, you can recover with git reset --merge."

AFAICS, there's no better candidate synonym for 'git merge --abort'.

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net